.Label-top-right {
    width: 40%;
    height: 50%;
    background: rgba(117, 0, 0, 0.35);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(25px);
    position: fixed;
    top: 60%;
    right: 0px;
    z-index: 2;

    clip-path: polygon(50% 0%,
            100% 0%,
            100% 100%,
            50% 100%,
            0% 50%);

    /* Começa escondido */
    transform: translateY(-50%) translateX(120%);
    opacity: 0;

    transition: transform 0.8s cubic-bezier(0.22, 1, 0.36, 1), opacity 0.5s ease;
}

.Label-top-right.show {
    transform: translateY(-50%) translateX(0);
    opacity: 1;
}


/*Lista de redes sociais*/
.social-media {
    position: fixed;
    top: 50%;
    right: 3rem;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    gap: 30px;
    z-index: 3;
}

.social-media li i {
    color: white;
    font-size: 3rem;
    transition: 0.3s;
}

.social-media li i:hover {
    color: #ffcc00;
}

.social-media li a i {
    transition: all 0.3s ease-in-out;
    filter: drop-shadow(0 5px 5px black);
}

.social-media li .fa-solid {
    transition: all 0.3s ease-in-out;
    filter: drop-shadow(0 5px 5px black);
}

.social-media li a i:hover {
    transform: scale(1.2);
}

.text-social-media {
    position: fixed;
    top: 20%;
    right: 0;
    width: 100%;
    transition: 0.3s;
    background-color: #ffcc00;
    border-bottom: solid 1px #ffffff;
    box-shadow: 0 5px 10px rgb(10, 0, 0);
}

.text-social-media h3 {
    margin-left: 30%;
    font-size: 1.3rem;
    color: white;
    filter: drop-shadow(0 2px 1px rgb(10, 0, 0));
}


/* =========================================================
   RESPONSIVIDADE
   Base atual = desktop
   Breakpoints:
   - Notebook/PC grande: 1200px+
   - Notebook: até 1199px
   - Tablet: até 991px
   - Celular: até 767px
   - Celular pequeno: até 480px
========================================================= */


/* =========================================================
   CELULAR PEQUENO (<= 900px)
========================================================= */

@media (max-width: 900px) {

    .Label-top-right {
        width: 40%;
        height: 30%;
        top: 35%;
        right: 0px;
    }

    /*Lista de redes sociais*/
    .social-media {
        top: 65%;
    }
    
}

/* =========================================================
   CELULAR PEQUENO (<= 768px)
========================================================= */

@media (max-width: 768px) {

    .Label-top-right {
        width: 40%;
        height: 40%;
        top: 35%;
        right: 0px;
    }

    /*Lista de redes sociais*/
    .social-media {
        top: 75%;
    }
}


/* =========================================================
   CELULAR PEQUENO (<= 480px)
========================================================= */

@media (max-width: 480px) {
    .Label-top-right {
        display: none;
    }

}